KMSClientProvider.KMSTokenRenewer (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.crypto.key.kms, class: KMSClientProvider, class: KMSTokenRenewer

Package org.apache.hadoop.crypto.key.kms

# Class KMSClientProvider.KMSTokenRenewer

java.lang.Object
org.apache.hadoop.security.token.TokenRenewer
org.apache.hadoop.crypto.key.kms.KMSClientProvider.KMSTokenRenewer

Enclosing class:
  KMSClientProvider

public static class KMSClientProvider.KMSTokenRenewer extends TokenRenewer
The KMS implementation of `TokenRenewer`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KMSTokenRenewer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cancel(Token<?> token, Configuration conf)`
  Cancel the given token.
  `boolean`
  `handleKind(Text kind)`
  Does this renewer handle this kind of token?
  `boolean`
  `isManaged(Token<?> token)`
  Is the given token managed?
  `long`
  `renew(Token<?> token, Configuration conf)`
  Renew the given token.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### KMSTokenRenewer

    public KMSTokenRenewer()

- ## Method Details

  - ### handleKind

    public boolean handleKind(Text kind)
    Description copied from class: `TokenRenewer`
    Does this renewer handle this kind of token?
    Specified by:
      `handleKind` in class `TokenRenewer`
    Parameters:
      `kind` - the kind of the token
    Returns:
      true if this renewer can renew it

  - ### isManaged

    public boolean isManaged(Token<?> token) throws IOException
    Description copied from class: `TokenRenewer`
    Is the given token managed? Only managed tokens may be renewed or cancelled.
    Specified by:
      `isManaged` in class `TokenRenewer`
    Parameters:
      `token` - the token being checked
    Returns:
      true if the token may be renewed or cancelled
    Throws:
      `IOException` - raised on errors performing I/O.

  - ### renew

    public long renew(Token<?> token, Configuration conf) throws IOException
    Description copied from class: `TokenRenewer`
    Renew the given token.
    Specified by:
      `renew` in class `TokenRenewer`
    Parameters:
      `token` - the token being checked.
      `conf` - configuration.
    Returns:
      the new expiration time.
    Throws:
      `IOException` - raised on errors performing I/O.

  - ### cancel

    public void cancel(Token<?> token, Configuration conf) throws IOException
    Description copied from class: `TokenRenewer`
    Cancel the given token.
    Specified by:
      `cancel` in class `TokenRenewer`
    Parameters:
      `token` - the token being checked.
      `conf` - configuration.
    Throws:
      `IOException` - raised on errors performing I/O.